| Home | Libraries | People | FAQ | More

## Class template atomic_sub

boost::compute::atomic_sub

## Synopsis

    // In header: <boost/compute/functional/atomic.hpp>

    template<typename T>
    class atomic_sub : public boost::compute::function< T(T *, T)> {
    public:

      // public member functions
      atomic_sub();
    };

## Description

### `atomic_sub` public member functions

1.     atomic_sub();